<?php
require_once("class.phpmailer.php"); 
require_once("class.smtp.php");

# هل تريد الإرسال بإستخدام SMTP
# الخاص بموقعك أم تستخدم 
# SMTP Google
# إذا كنت تريد استخدام قوقل فيجب أن يكون لديك بريد لدى GMAIL
$using	= 'smtp';
// $using = 'google';


# إذا كنت تريد استخدام الـ SMTP الخاص بموقعك ادخل البيانات التالية
# المستضيف
$Host		= 'mail.host.com';
# بورت الإرسال
$Port		= '465';
# اسم المستخدم
$Username	= 'admin+account.com';
# كلمة المرور
$Password	= '1f2d';


# إذا كنت تريد استخدام قوقل فقم بكتابة البيانات بالأسفل
# بريدك لدى قوقل
$Gmailuser = 'some@gmail.com';
# كلمة المرور الخاصة بالبريد
$GmailPass = 'somepass';


### لاتقم بالتعديل بعد هذا السطر ###
	$smail 	= $GLOBALS['mail']['from_email'];
	$sname	= $options['site_name'];
	$tomail	= $GLOBALS['mail']['to_email'];
	$toname	= $GLOBALS['mail']['to_name'];
	$sub	= $GLOBALS['mail']['subject'];
	

	
	if($using	== 'google'){
	$msg	= $GLOBALS['text'];
	$sname="=?UTF-8?B?".base64_encode($sname)."?=\n"; 
	$rname="=?UTF-8?B?".base64_encode($toname)."?=\n"; 
	$sub="=?UTF-8?B?".base64_encode($sub)."?=\n"; 
	$body= $msg;
 
	$mail = new PHPMailer();
	$mail->IsSMTP(); 
	$mail->SMTPAuth = true;
	$mail->SMTPSecure = "ssl";
	$mail->Host = "smtp.gmail.com";
	$mail->Port = 465;
	$mail->Username = $Gmailuser;
	$mail->Password = $GmailPass; 
	$mail->AddReplyTo($smail,$sname); 
	$mail->AddAddress($tomail, $rname); 
	$mail->From = $smail;
	$mail->FromName = $sname; 
	$mail->Subject = $sub; 
	$mail->MsgHTML($msg); 
	$mail->IsHTML(true); 
	
	if($mail->Send()) {
	$SENT 	= 1;
	}else{
	$SENT	= 2;
	//echo "Mailer Error: " . $mail->ErrorInfo . "<br />";
	//die();
	} 
	}else{

	$msg	= email_codes($text,$toname,$ticket_code);
	$sname="=?UTF-8?B?".base64_encode($sname)."?=\n"; 
	$rname="=?UTF-8?B?".base64_encode($toname)."?=\n"; 
	$sub="=?UTF-8?B?".base64_encode($sub)."?=\n"; 
	$body= $msg;
 
	$mail = new PHPMailer();
	$mail->IsSMTP(); 
	$mail->SMTPAuth = true;
	$mail->SMTPSecure = "ssl";
	$mail->Host = $Host;
	$mail->Port = $Port;
	$mail->Username = $Username;
	$mail->Password = $Password; 
	$mail->AddReplyTo($smail,$sname); 
	$mail->AddAddress($tomail, $rname); 
	$mail->From = $smail;
	$mail->FromName = $sname; 
	$mail->Subject = $sub; 
	$mail->MsgHTML($msg); 
	$mail->IsHTML(true); 
	
	if($mail->Send()) {
	$SENT 	= 1;
	}else{
	//echo "Mailer Error: " . $mail->ErrorInfo . "<br />";
	$SENT	= 2;
	//die();
	} 
	}
?>